Skip to main content
PATCH
/
api
/
v2
/
products
/
{product_id}
cURL
curl --request PATCH \
  --url https://take.app/api/v2/products/{product_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "sku": "<string>",
  "reference_id": "<string>",
  "price": 1,
  "original_price": 1,
  "cost_enabled": true,
  "cost": 1,
  "unit_enabled": true,
  "unit_value": 123,
  "weight": 123,
  "tax_override": true,
  "tax_rate": 123,
  "tags": [
    "<string>"
  ],
  "daily_limit": 123,
  "cart_limit": 123,
  "cart_minimum": 123,
  "inventory_enabled": true,
  "inventory_quantity": 1
}
'
{
  "id": "<string>",
  "reference_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "sku": "<string>",
  "price": 123,
  "original_price": 123,
  "cost_enabled": true,
  "cost": 123,
  "unit_enabled": true,
  "unit_value": 123,
  "weight": 123,
  "tax_override": true,
  "tax_rate": 123,
  "tags": [
    "<string>"
  ],
  "daily_limit": 123,
  "cart_limit": 123,
  "cart_minimum": 123,
  "inventory_enabled": true,
  "soldout": true,
  "inventory": {
    "item_id": "<string>",
    "item_name": "<string>",
    "product_id": "<string>",
    "variant_id": "<string>",
    "sku": "<string>",
    "quantity": 123,
    "price": 123,
    "original_price": 123,
    "cost": 123,
    "cost_enabled": true,
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "variants": [
    {
      "id": "<string>",
      "product_id": "<string>",
      "name": "<string>",
      "sku": "<string>",
      "description": "<string>",
      "price": 123,
      "original_price": 123,
      "cost": 123,
      "weight": 123,
      "inventory": {
        "item_id": "<string>",
        "item_name": "<string>",
        "product_id": "<string>",
        "variant_id": "<string>",
        "sku": "<string>",
        "quantity": 123,
        "price": 123,
        "original_price": 123,
        "cost": 123,
        "cost_enabled": true,
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "options": [
    {
      "id": "<string>",
      "text": "<string>",
      "required": true,
      "settings": "<unknown>"
    }
  ],
  "images": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://platform.take.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Merchant API V2 token. Pass as Authorization: Bearer <token>.

Path Parameters

product_id
string
required

Body

application/json
name
string
Minimum string length: 1
description
string
sku
string
reference_id
string
status
enum<string>
Available options:
VISIBLE,
HIDDEN
type
enum<string>
Available options:
PHYSICAL,
DIGITAL,
SUBSCRIPTION,
BOOKING,
OTHERS
price
integer
Required range: x >= 0
original_price
integer
Required range: x >= 0
cost_enabled
boolean
cost
integer
Required range: x >= 0
unit_enabled
boolean
unit
enum<string>
Available options:
QTY,
KG,
G,
ML,
L,
PCS,
PAX,
PACK,
PERSON,
ROOM,
LBS,
HOUR,
BOX
unit_value
number
weight
integer
tax_override
boolean
tax_rate
integer
tags
string[]
daily_limit
integer
cart_limit
integer
cart_minimum
integer
inventory_enabled
boolean
inventory_quantity
integer
Required range: x >= 0

Response

Product

id
string
required
object
enum<string>
required
Available options:
product
reference_id
string | null
required
name
string
required
description
string
required
sku
string
required
status
enum<string>
required
Available options:
VISIBLE,
HIDDEN
type
enum<string>
required
Available options:
PHYSICAL,
DIGITAL,
SUBSCRIPTION,
BOOKING,
OTHERS
price
integer
required

Integer amount in the smallest unit of the store currency (e.g. cents).

original_price
integer
required

Integer amount in the smallest unit of the store currency (e.g. cents).

cost_enabled
boolean
required
cost
integer | null
required

Integer amount in the smallest unit of the store currency (e.g. cents).

unit_enabled
boolean
required
unit
enum<string>
required
Available options:
QTY,
KG,
G,
ML,
L,
PCS,
PAX,
PACK,
PERSON,
ROOM,
LBS,
HOUR,
BOX
unit_value
number
required
weight
integer
required
tax_override
boolean
required
tax_rate
integer
required
tags
string[]
required
daily_limit
integer
required
cart_limit
integer
required
cart_minimum
integer
required
inventory_enabled
boolean
required
soldout
boolean
required
inventory
object
required
variants
object[]
required
options
object[]
required
images
string[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required